deb_dpdk: add new 18.08.x branch
[ci-management.git] / jjb / hc2vpp / include-raw-hc2vpp-csit-integration.sh
index 6155a46..e4bbd3f 100644 (file)
@@ -1,15 +1,20 @@
 #!/bin/bash
 set -xeu -o pipefail
 
-# Clone csit and start tests
-if [ ${STREAM} == 'master' ]; then
-    git clone https://gerrit.fd.io/r/csit --branch master
+# Get CSIT branch
+if [ -f csit-test-branch ]; then
+    chmod +x csit-test-branch
+    CSIT_BRANCH=`./csit-test-branch`
 else
-        git clone https://gerrit.fd.io/r/csit --branch 'rls'${STREAM}
+    CSIT_BRANCH='master'
+fi
+
+# Clone csit
+git clone https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH}
 
 # If the git clone fails, complain clearly and exit
 if [ $? != 0 ]; then
-    echo "Failed to run: git clone https://gerrit.fd.io/r/csit --branch master"
+    echo "Failed to run: git clone https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH}"
     exit
 fi
 
@@ -24,9 +29,9 @@ else
     chmod +x bootstrap-hc2vpp-integration.sh
     # run the script
     if [ ${STREAM} == 'master' ]; then
-        ./bootstrap-hc2vpp-integration.sh ${STREAM}
+        ./bootstrap-hc2vpp-integration.sh ${STREAM} ${OS}
     else
-        ./bootstrap-hc2vpp-integration.sh 'stable.'${STREAM}
+        ./bootstrap-hc2vpp-integration.sh 'stable.'${STREAM} ${OS}
     fi
 fi